Home Homebrew Implementato il supporto diretto delle syscall per diverse versioni del firmware...

[Scena PS5] Implementato il supporto diretto delle syscall per diverse versioni del firmware PS5, tra cui 6.50, 7.00, 7.01, 7.20, 7.40 e 7.60

663
0

Il consulente e ricercatore per la sicurezza McCaulay ha ampliato il supporto di Mast1c0re anche per i firmware compresi tra la versione 6.50 e 7.60 della console PlayStation 5, dopo aver inizialmente aggiunto il supporto per il firmware 4.03.

Tuttavia, l’introduzione delle syscall in Mast1c0re non garantisce che l’intero exploit funzionerà immediatamente su questi firmware, poiché sono necessari gli offset corretti per farlo.

Gli offset sono fondamentali per individuare i punti esatti in cui il software può interagire con il sistema e sfruttare vulnerabilità o eseguire operazioni specifiche.

Potenzialmente, è possibile eseguire il caricatore di giochi su PS5 con firmware 7.xx, ma attualmente il codice non lo supporta completamente.

Ci sono problemi con il caricatore ELF, probabilmente a causa di modifiche al layout della memoria. Inoltre, alcune funzionalità, come le finestre di dialogo, non funzionerebbero correttamente e verrebbero nascoste.

Pertanto, l’esperienza potrebbe essere limitata o problematica su questi firmware. Per coloro che intendono sperimentare Mast1c0re, è disponibile un download delle ultime versioni dei file sulla repository del progetto.

Fonte: wololo.net

LASCIA UN COMMENTO

Per favore inserisci il tuo commento!
Per favore inserisci il tuo nome qui

Questo sito usa Akismet per ridurre lo spam. Scopri come i tuoi dati vengono elaborati.